package com.dsic.gj_erp.wsclient.handler;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.dsic.gj_erp.bean.jhgk.DmYdjh;
import com.dsic.gj_erp.service.jhgk.DmYdjhService;
import com.dsic.gj_erp.ws.WsHandler;
import com.dsic.gj_erp.wsclient.Message;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

@Service
@AllArgsConstructor
public class ZxHandler implements IHandlerService{

    private final DmYdjhService ydjhService;
    private final WsHandler wsHandler;

    @Override
    public void execute(Message message) {
        String djh=message.getMsg().getOrderNumber();
        DmYdjh one = ydjhService.getOne(Wrappers.<DmYdjh>lambdaQuery().eq(DmYdjh::getDjh, djh));
        switch (message.getInstructions()){
            case 开始派工:
            case 开始报工:
                JSONObject object=new JSONObject();
                object.put("zyjh",one);
                wsHandler.whoIsSelect(object);
                break;

        }
    }
}
